Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 1.5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlgraphics.xmp.schemas
Class XMPBasicAdapter

    java.lang.Object
      org.apache.xmlgraphics.xmp.XMPSchemaAdapter
          org.apache.xmlgraphics.xmp.schemas.XMPBasicAdapter

    public class XMPBasicAdapter

extends XMPSchemaAdapter

Schema adapter implementation for the XMP Basic schema.

Field Summary

Fields inherited from class org.apache.xmlgraphics.xmp.XMPSchemaAdapter
`meta`

Constructor Summary
`XMPBasicAdapter(Metadata meta, String namespace)` Constructs a new adapter for XMP Basic around the given metadata object.

Method Summary
`void` | `addIdentifier(String value)` Adds an identifier that unambiguously identify the resource within a given context.
`String` | `getBaseUrl()` Returns the base URL for relative URLs in the document content.
`Date` | `getCreateDate()`
`String` | `getCreatorTool()`
`String` | `getIdentifier(String qualifier)` Returns an identifier that matches a given qualifier.
`String[]` | `getIdentifiers()` Returns an array of all identifiers that unambiguously identify the resource within a given context.
`Date` | `getMetadataDate()`
`Date` | `getModifyDate()`
`void` | `setBaseUrl(String value)` Sets the base URL for relative URLs in the document content.
`void` | `setCreateDate(Date creationDate)` Sets the date and time the resource was originally created.
`void` | `setCreatorTool(String value)` Sets the first known tool used to create the resource.
`void` | `setIdentifier(String value, String qualifier)` Sets a qualified identifier that unambiguously identify the resource within a given context.
`void` | `setMetadataDate(Date metadataDate)` Sets the date and time any metadata for this resource was last changed.
`void` | `setModifyDate(Date modifyDate)` Sets the date and time the resource was last modified.

Methods inherited from class org.apache.xmlgraphics.xmp.XMPSchemaAdapter
`addDateToSeq, addObjectToArray, addStringToBag, addStringToSeq, findQualifiedStructure, findQualifiedValue, formatISO8601Date, formatISO8601Date, getDateArray, getDateValue, getLangAlt, getObjectArray, getQName, getSchema, getStringArray, getValue, removeLangAlt, removeStringFromArray, setDateValue, setLangAlt, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMPBasicAdapter

    public XMPBasicAdapter(Metadata meta,
                           String namespace)

  Constructs a new adapter for XMP Basic around the given metadata object.

  Parameters:
    `meta` - the underlying metadata

Method Detail

### setBaseUrl

    public void setBaseUrl(String value)

  Sets the base URL for relative URLs in the document content.

  Parameters:
    `value` - the base URL

### getBaseUrl

    public String getBaseUrl()

  Returns the base URL for relative URLs in the document content.

  Returns:
    the base URL

### setCreateDate

    public void setCreateDate(Date creationDate)

  Sets the date and time the resource was originally created.

  Parameters:
    `creationDate` - the creation date

### getCreateDate

    public Date getCreateDate()

  Returns:
    the date and time the resource was originally created

### setCreatorTool

    public void setCreatorTool(String value)

  Sets the first known tool used to create the resource.

  Parameters:
    `value` - the creator tool

### getCreatorTool

    public String getCreatorTool()

  Returns:
    the first known tool used to create the resource

### addIdentifier

    public void addIdentifier(String value)

  Adds an identifier that unambiguously identify the resource within a given context.

  Parameters:
    `value` - the identifier value

### setIdentifier

    public void setIdentifier(String value,
                              String qualifier)

  Sets a qualified identifier that unambiguously identify the resource within a given context. As qualifier, `xmpidq:Scheme` is used.

  Parameters:
    `value` - the identifier value
    `qualifier` - the qualifier value (for xmpidq:Scheme)

### getIdentifiers

    public String[] getIdentifiers()

  Returns an array of all identifiers that unambiguously identify the resource within a given context.

  Returns:
    a String array of all identifiers (or null if not set)

### getIdentifier

    public String getIdentifier(String qualifier)

  Returns an identifier that matches a given qualifier. As qualifier, `xmpidq:Scheme` is used.

  Parameters:
    `qualifier` - the qualifier
  Returns:
    the identifier (or null if no matching value was found)

### setModifyDate

    public void setModifyDate(Date modifyDate)

  Sets the date and time the resource was last modified.

  Parameters:
    `modifyDate` - the modification date

### getModifyDate

    public Date getModifyDate()

  Returns:
    the date and time the resource was last modified

### setMetadataDate

    public void setMetadataDate(Date metadataDate)

  Sets the date and time any metadata for this resource was last changed.

  Parameters:
    `metadataDate` - the modification date for the metadata

### getMetadataDate

    public Date getMetadataDate()

  Returns:
    the date and time the resource was originally created

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 1.5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.